package betterquesting.api2.client.gui.panels;

import betterquesting.api2.client.gui.misc.IGuiRect;
import betterquesting.api2.client.gui.resources.textures.IGuiTexture;
import org.lwjgl.opengl.GL11;

/* loaded from: betterquesting_api2_client_gui_panels.jar:betterquesting/api2/client/gui/panels/CanvasTextured.class */
public class CanvasTextured extends CanvasEmpty {
    private final IGuiTexture bgTexture;

    public CanvasTextured(IGuiRect rect, IGuiTexture texture) {
        super(rect);
        this.bgTexture = texture;
    }

    @Override // betterquesting.api2.client.gui.panels.CanvasEmpty, betterquesting.api2.client.gui.panels.IGuiPanel
    public void drawPanel(int mx, int my, float partialTick) {
        IGuiRect bounds = getTransform();
        GL11.glPushMatrix();
        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
        this.bgTexture.drawTexture(bounds.getX(), bounds.getY(), bounds.getWidth(), bounds.getHeight(), 0.0f, partialTick);
        GL11.glPopMatrix();
        super.drawPanel(mx, my, partialTick);
    }
}
